/**
 * @file
 * Init tarteaucitron.js script.
 */

(function($, Drupal, tarteaucitron) {
  /**
   * Init tarteaucitron.js script.
   *
   * @type {Drupal~behavior}
   *
   * @prop {Drupal~behaviorAttach} attach
   *   Attaches the script.
   */
  Drupal.behaviors.tacjs = {
    attach: function attach(context, settings) {
      // force English in order for strings to be localized.
      tarteaucitronForceLanguage = "en";

      // Add custom translated texts to tarteaucitron.
      $.each(settings.tacjs.texts, function(key, value) {
        tarteaucitronCustomText[key] = Drupal.t(value);
      });

      // Add enabled service/identifiers to tarteaucitron services.
      tarteaucitron.user = settings.tacjs.user;
      $.each(settings.tacjs.services, function(key, value) {
        // Filter if service is checked.
        if (!value) return;

        (tarteaucitron.job = tarteaucitron.job || []).push(key);
      });

      // Init tarteaucitron.js
      tarteaucitron.init({
        adblocker: settings.tacjs.dialog.adblocker,
        hashtag: settings.tacjs.dialog.hashtag,
        cookieName: settings.tacjs.dialog.cookieName,
        highPrivacy: settings.tacjs.dialog.highPrivacy,
        orientation: settings.tacjs.dialog.orientation,
        removeCredit: settings.tacjs.dialog.removeCredit,
        showAlertSmall: settings.tacjs.dialog.showAlertSmall,
        cookieslist: settings.tacjs.dialog.cookieslist,
        handleBrowserDNTRequest: settings.tacjs.dialog.handleBrowserDNTRequest,
        AcceptAllCta: settings.tacjs.dialog.AcceptAllCta,
        moreInfoLink: settings.tacjs.dialog.moreInfoLink,
        privacyUrl: settings.tacjs.dialog.privacyUrl,
        useExternalCss: settings.tacjs.dialog.useExternalCss,
        readmoreLink: settings.tacjs.dialog.readmoreLink,
        cookieDomain: settings.tacjs.dialog.cookieDomain
      });
    }
  };
})(jQuery, Drupal, tarteaucitron);
